Subject: RE: Installation of g98 Rev A7

From: "Fulton CR (Charles)" <[email-masked]>
Date: Fri, 15 Oct 1999 08:05:02 -0500

Joe,

Will using the 7.3 compilers with the new makefile also fix the newzmat
program under irix? With 7.2.1+patch3265 it core dumps ever time I run it.
We don't really have any other problems with our rev a7 g98, compiled with
7.2.1 & patch3265.

I do have the new makefile though for 7.3, I just have not upgraded our
compilers yet. And if i'm going to lose 30% with certified 7.3+new makefile
then it wouldn't make since to do the upgrade. I could try it though and let
you know the results. 

Do you have any such suggestions or "clearing up" concerning compiling g98
rev a7 under linux? (other than pgi+opt. blas libs)

thanks alot for this note it did clear up some things concerning what is
certified under irix. 

-charlie. 

> ----------
> From: 	Joe Ochterski[SMTP:[email-masked]]
> Sent: 	Thursday, October 14, 1999 4:28 PM
> To: 	Bernd Melchers
> Cc: 	[email-masked]
> Subject: 	CCL:Installation of g98 Rev A7
> 
> On Thu, Oct 14, 1999 at 04:18:10PM +0200, Bernd Melchers wrote:
> > 'Jens Antony wrote:'
> > > 
> > > Dear all!
> > > 
> > > We are installing the new version of Gaussian98 on an SGI R10000. The
> > > compilation finishes without obvious error messages. When executing
> the
> > > program, however, it stops without reading the input and writes a core
> > 
> > You need a Makefile suitable for your compiler version.
> > Our gaussian98 A6 generates core dumps with compiler versions 7.3.1
> (IRIX 6.5.5)
> > but not with compiler 7.2.x. There is a new Makefile available from
> > gaussian for 7.3.0 Compilers but it produces code which is
> > 30 % slower. And occasionally dumps core, also.
> > It seems, the people at gaussian have to do some further
> > developement.
> > 
> > But who should be blamed for bad code, the compiler developer
> > at sgi or the programmer at gaussian???
> > 
> 
> 
> This answer is not only to Bernd, but is intended to clear up the
> confusion regarding compiling G98 with SGI compilers.
> 
> 
> Gaussian 98 Rev A.7  is currently certified with two SGI compilers:
> 
> 1) 7.2.1 with patch3265. This is a compiler patch, so once you get the
> patch you must recompile.  The patch is required to fully support the use
> of 64 bit integers throughout the program. Using 64 bit integers removes
> the 16Gb file size limit in previous releases of Gaussian. It also
> effectively removes any memory size limitation.
> 
> 2) 7.3.0 with the new sgi.make file, which is available from
> [email-masked].  Rev A.7 was released before the 7.3 compilers were
> widely available, so we needed to update the makefile after A.7 was
> released. 
> 
> We are not aware of any general performance problem associated with the
> 7.3 compilers, or with the makefile we use for those compilers.  I will be
> more than happy to look into any such problems. Just send them along to
> [email-masked].  
> 
> 
> The makefile for 7.3.1 has not been released yet. We are aware that
> certain jobs crash/get wrong answers when this compiler is used to build
> G98 Rev A.7.
> 
> The 7.2, 7.1 and earlier compilers have not been fully certified.
> 
> In general it is not safe to revert to "old" makefiles. Frequently, there
> are changes which turn down optimization on subroutines which we've
> discovered cause problems. The current makefile will also have the
> appropriate flags for compiling code added since the earlier release.
>   
> Nor is it "safe" to use older compilers for the current release of
> Gaussian.  By default, Gaussian uses the highest level of compiler
> optimization. New code in Gaussian can trip up older compilers, sometimes
> without the user being aware of it.
> 
> Using the wrong makefile or an uncertified compiler can cause crashes, and
> perhaps worse than that, lead to incorrect results.
> 
> 
> You can find the compiler and OS requirements for the latest release of
> Gaussian at 
> 
> http://www.gaussian.com/g98_req.htm
> 
> 
> Generally, technical questions about Gaussian can be addressed to
> [email-masked]. We try very hard to answer all questions quickly and
> accurately. 
> 
> 
> -- 
> Joseph Ochterski, Ph.D
> Senior Customer Service Scientist
> [email-masked]
> 
> 
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody    |   [email-masked] -- To
> Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher: gopher.ccl.net
> 70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan:
> [email-masked]
> 
> 
> 
> 
>

---

From: Omar Stradella <[email-masked]>
Date: Fri, 15 Oct 1999 15:39:34 -0400 (EDT)

> We don't really have any other problems with our rev a7 g98, compiled with

No, it's not related to the compiler version. Do "limit stacksize 80000"
before executing newzmat.

Omar.

+---------------------------------------------------------------------+
Omar G. Stradella, Ph.D.                    
SGI / Chemistry and Biology Applications Group
One Cabot Road, Hudson, MA 01749, USA           N 42 22'40" W 71 33'44"
E-mail: [email-masked] Phone: +1-978-567-2258 FAX: +1-978-562-4755 
http://www.sgi.com/chembio                  http://reality.sgi.com/omar 
+--------  Ph-nglui mglw'nafh Cthulhu R'lyeh wgah'nagl fhtagn  -------+